=== drivers/staging/mimio/Makefile ===
obj-$(CONFIG_INPUT_MIMIO)	+= mimio.o
