=== drivers/media/video/gspca/Makefile ===
obj-$(CONFIG_USB_GSPCA)          += gspca_main.o
obj-$(CONFIG_USB_GSPCA_CONEX)    += gspca_conex.o
obj-$(CONFIG_USB_GSPCA_ETOMS)    += gspca_etoms.o
obj-$(CONFIG_USB_GSPCA_FINEPIX)  += gspca_finepix.o
obj-$(CONFIG_USB_GSPCA_MARS)     += gspca_mars.o
obj-$(CONFIG_USB_GSPCA_MR97310A) += gspca_mr97310a.o
obj-$(CONFIG_USB_GSPCA_OV519)    += gspca_ov519.o
obj-$(CONFIG_USB_GSPCA_OV534)    += gspca_ov534.o
obj-$(CONFIG_USB_GSPCA_PAC207)   += gspca_pac207.o
obj-$(CONFIG_USB_GSPCA_PAC7311)  += gspca_pac7311.o
obj-$(CONFIG_USB_GSPCA_SN9C20X)  += gspca_sn9c20x.o
obj-$(CONFIG_USB_GSPCA_SONIXB)   += gspca_sonixb.o
obj-$(CONFIG_USB_GSPCA_SONIXJ)   += gspca_sonixj.o
obj-$(CONFIG_USB_GSPCA_SPCA500)  += gspca_spca500.o
obj-$(CONFIG_USB_GSPCA_SPCA501)  += gspca_spca501.o
obj-$(CONFIG_USB_GSPCA_SPCA505)  += gspca_spca505.o
obj-$(CONFIG_USB_GSPCA_SPCA506)  += gspca_spca506.o
obj-$(CONFIG_USB_GSPCA_SPCA508)  += gspca_spca508.o
obj-$(CONFIG_USB_GSPCA_SPCA561)  += gspca_spca561.o
obj-$(CONFIG_USB_GSPCA_SQ905)    += gspca_sq905.o
obj-$(CONFIG_USB_GSPCA_SQ905C)   += gspca_sq905c.o
obj-$(CONFIG_USB_GSPCA_SUNPLUS)  += gspca_sunplus.o
obj-$(CONFIG_USB_GSPCA_STK014)   += gspca_stk014.o
obj-$(CONFIG_USB_GSPCA_T613)     += gspca_t613.o
obj-$(CONFIG_USB_GSPCA_TV8532)   += gspca_tv8532.o
obj-$(CONFIG_USB_GSPCA_VC032X)   += gspca_vc032x.o
obj-$(CONFIG_USB_GSPCA_ZC3XX)    += gspca_zc3xx.o

gspca_main-objs     := gspca.o
gspca_conex-objs    := conex.o
gspca_etoms-objs    := etoms.o
gspca_finepix-objs  := finepix.o
gspca_mars-objs     := mars.o
gspca_mr97310a-objs := mr97310a.o
gspca_ov519-objs    := ov519.o
gspca_ov534-objs    := ov534.o
gspca_pac207-objs   := pac207.o
gspca_pac7311-objs  := pac7311.o
gspca_sn9c20x-objs  := sn9c20x.o
gspca_sonixb-objs   := sonixb.o
gspca_sonixj-objs   := sonixj.o
gspca_spca500-objs  := spca500.o
gspca_spca501-objs  := spca501.o
gspca_spca505-objs  := spca505.o
gspca_spca506-objs  := spca506.o
gspca_spca508-objs  := spca508.o
gspca_spca561-objs  := spca561.o
gspca_sq905-objs    := sq905.o
gspca_sq905c-objs   := sq905c.o
gspca_stk014-objs   := stk014.o
gspca_sunplus-objs  := sunplus.o
gspca_t613-objs     := t613.o
gspca_tv8532-objs   := tv8532.o
gspca_vc032x-objs   := vc032x.o
gspca_zc3xx-objs    := zc3xx.o

obj-$(CONFIG_USB_M5602)   += m5602/
obj-$(CONFIG_USB_STV06XX) += stv06xx/
