## linux-rt 2.6.27-3.8

=== debian/changelog ===
linux-rt (2.6.27-3.8) intrepid; urgency=low

  * Blacklisted XFS to prevent an ABI bump
    - This is based off git commit 21c69ea60244403e503f148cd29d89df85eb0908
      from ubuntu-intrepid.git (LP: #289683)

 -- Michael Casadevall <sonicmctails@gmail.com>  Sun, 26 Oct 2008 20:46:33 -0400

linux-rt (2.6.27-3.7) intrepid; urgency=low

  * Synced against linux-source-2.6.27 2.6.27-7.12
  * Added ext4-nrpages.patch and jbd2-nrpages.patch
  * Synced configuration

 -- Alessio Igor Bogani <abogani@ubuntu.com>  Sat, 18 Oct 2008 18:08:55 +0200

linux-rt (2.6.27-3.6) intrepid; urgency=low

  * Synced against linux-source-2.6.27 2.6.27-7.11

 -- Alessio Igor Bogani <abogani@ubuntu.com>  Wed, 15 Oct 2008 15:36:52 +0200

linux-rt (2.6.27-3.5) intrepid; urgency=low

  * Synced against linux-source-2.6.27 2.6.27-7.10
  * Bump ABI to -3

 -- Alessio Igor Bogani <abogani@ubuntu.com>  Mon, 13 Oct 2008 15:46:02 +0200

linux-rt (2.6.27-2.4) intrepid; urgency=low

  * Mistake in packaging

 -- Alessio Igor Bogani <abogani@ubuntu.com>  Fri, 10 Oct 2008 14:07:41 +0200

linux-rt (2.6.27-2.3) intrepid; urgency=low

  * Fix a FTBS 

 -- Alessio Igor Bogani <abogani@ubuntu.com>  Fri, 10 Oct 2008 11:46:25 +0200

linux-rt (2.6.27-2.2) intrepid; urgency=low

  * Synced against linux-source-2.6.27 2.6.27-6.9 
  * Disable CONFIG_AUFS, CONFIG_CGROUP_MEM_RES_CTLR, CONFIG_FTRACE,
    CONFIG_LATENCYTOP, CONFIG_CONTEXT_SWITCH_TRACER
  * Set timer frequency to 1000 HZ
  * Bump ABI to -2

 -- Alessio Igor Bogani <abogani@ubuntu.com>  Thu, 09 Oct 2008 15:27:27 +0200

linux-rt (2.6.27-1.1) intrepid; urgency=low

  * Initial version based on linux-source-2.6.27 2.6.27-4.6 (LP: #281276)

 -- Alessio Igor Bogani <abogani@ubuntu.com>  Fri, 03 Oct 2008 09:15:26 +0200
