=== debian/control ===
Source: linux-rt
Section: devel
Priority: optional
Maintainer: Alessio Igor Bogani <abogani@ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4), module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile, quilt, linux-source-2.6.27
Build-Depends-Indep: xmlto, docbook-utils, gs, transfig, bzip2, sharutils

Package: linux-image-2.6.27-3-rt
Architecture: i386 amd64
Section: universe/base
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, ndiswrapper-modules-1.9
Depends: initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3)
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: lilo (>= 19.1) | grub
Suggests: fdutils, linux-doc-2.6.27 | linux-source-2.6.27
Description: Linux kernel image for version 2.6.27 on Ingo Molnar's full real time preemption patch (2.6.26.5-rt9)
 This package contains the Linux kernel image for version 2.6.27 on
 Ingo Molnar's full real time preemption patch (2.6.26.5-rt9).
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward real time systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-rt meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.27-3-rt
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), ${shlibs:Depends}
Provides: linux-headers, linux-headers-2.6
Description: Linux kernel headers for version 2.6.27 on Ingo Molnar's full real time preemption patch (2.6.26.5-rt9)
 This package provides kernel header files for version 2.6.27 on
 Ingo Molnar's full real time preemption patch (2.6.26.5-rt9).
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-2.6.27-3/debian.README.gz for details.

Package: linux-image-2.6.27-3-virtual
Architecture: i386 amd64
Section: base
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, redhat-cluster-modules
Depends: initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3)
Conflicts: hotplug (<< 0.0.20040105-1), linux-image-2.6.27-3-server
Recommends: lilo (>= 19.1) | grub
Suggests: fdutils, linux-doc-2.6.27 | linux-source-2.6.27
Description: Linux kernel image for version 2.6.27 on x86/x86_64
 This package contains the Linux kernel image for version 2.6.27 on
 x86/x86_64.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Virtual processors.
 .
 Geared toward virtual machine guests.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-virtual meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.
