## linux-rt 2.6.28-3.12

=== debian/changelog ===
linux-rt (2.6.28-3.12) jaunty; urgency=low

  * Build depend on linux-source-2.6.28 >= 2.6.28-11.42.

  Rebase on jaunty mainline 2.6.28-11.41:

  [ Tim Gardner ]

  * Enabled LPIA CONFIG_PACKET=y
    - LP: #362071

  [ Upstream Kernel Changes ]

  * ext4: fix bb_prealloc_list corruption due to wrong group locking
    - LP: #348836

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 17 Apr 2009 15:06:04 +1000

linux-rt (2.6.28-3.11) jaunty; urgency=low

  Rebase on jaunty mainline 2.6.28-11.41:

  [ Amit Kucheria ]

  * ixp4xx: Enabled TCP SYN_COOKIES
    - LP: #346378

  [ Brad Figg ]

  * Change LPIA configuration to compile with CONFIG_NETFILTER_XT_MATCH_RECENT
    - LP: #355291

  [ Kay Sievers ]

  * SAUCE: driver core: allow non-root users to listen to uevents
    - LP: #357124

  [ Manoj Iyer ]

  * SAUCE: Added quirk to recognize GE0301 3G modem as an interface.
    - LP: #348861

  [ Tim Gardner ]

  * Revert "SAUCE: [i915] allocate MCHBAR space & enable if necessary"
    Appears to cause hard locks in some cases. 
    - LP: #349314

  [ Trond Myklebust ]

  * SAUCE: NFS: Fix the notifications when renaming onto an existing file
    - LP: #224642

  [ Upstream Kernel Changes ]

  * USB: option: add QUANTA HSDPA Data Card device ids
    - LP: #353321
  * hwmon: (abituguru3) Match partial DMI board name strings
    - LP: #298798
  * zd1211rw: adding Sitecom WL-603 (0df6:0036) to the USB id list
    - LP: #339631
  * USB: unusual dev for Option N.V. ZeroCD modems
    - LP: #348861

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 09 Apr 2009 02:34:08 +1000

linux-rt (2.6.28-3.10) jaunty; urgency=low

  * Disable DEVKMEM for all archs on Jaunty

  Rebase on jaunty mainline 2.6.28-11.40:

  [ Amit Kucheria ]

  * Disable DEVKMEM for all archs on Jaunty
    - LP: #354221

  [ Andy Whitcroft ]

  * SAUCE: md: wait for possible pending deletes after stopping an array
    - LP: #334994

  [ Brad Figg ]

  * ARM: Setting the bootloader for imx51 flavour.
    - LP: #348382
  * ARM: Add bootloader package Recomendation to iop32x and ixp4xx flavours
    - LP: #348382

  [ Tim Gardner ]

  * SAUCE: [i915] allocate MCHBAR space & enable if necessary
    - LP: #349314

  [ Upstream Kernel Changes ]

  * hpilo: open/close fix
    - LP: #353496

  [ Alan Tull ]

  * SAUCE: mx51: fix to1.1 in mxc_iomux_set_input
    - LP: #348333

  [ Andy Whitcroft ]

  * SAUCE: acer: rfkill disable quirk for ACER Aspire One
    - LP: #319825

  [ Brad Figg ]

  * ARM: Increase CONFIG_BLK_DEV_RAM_SIZE for imx51 flavour.
    - LP: #349842
  * ARM: Enable rtl8187 for imx51
    - LP: #349526
  * ARM: Unset CONFIG_USB_STORAGE_DEBUG for imx51
    - LP: #348504

  [ Bryan Wu ]

  * build CRAMFS into kernel to support mounting CRAMFS initrd on iop32x
    machine
    - LP: #349104

  [ Michael Casadevall ]

  * [lpia] Change ATA, SCSI, SD, ext2-4 modules into compiled-in components
    - LP: #347458

  [ Rob Herring ]

  * SAUCE: imx51: fec: fix cache operations for receive
    - LP: #348333

  [ Sam Yang ]

  * SAUCE: Revert ENGR00103870 FEC reopening causes network wdog timeout
    - LP: #348333
  * SAUCE: imx51: fec cache flush functions are incorrect
    - LP: #348333

  [ Upstream Kernel Changes ]

  * Bluetooth: Add fine grained mem_flags usage to btusb driver
    - LP: #268502
  * Bluetooth: Handle bulk URBs in btusb driver from notify callback
    - LP: #268502
  * Bluetooth: Submit bulk URBs along with interrupt URBs
    - LP: #268502

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 07 Apr 2009 09:23:10 +1000

linux-rt (2.6.28-3.9) jaunty; urgency=low

  * link-headers: only link directories which do not already exist

  Rebase on jaunty mainline 2.6.28-11.38:

  [ Brad Figg ]

  * When AppArmor is configured, securityfs must be as well.
    - LP: #344370
  * ARM: Enable AA with SECURITYFS for imx51
    - LP: #344370

  [ Bryan Wu ]

  * Add 3 missing files to prerm remove file list
    - LP: #345623

  [ Daniel T Chen ]

  * SAUCE: (drop after 2.6.28) Don't trust hw-ptr blindly
    - LP: #330814
  * SAUCE: (drop after 2.6.28) Apply further pcm_lib updates for hw_ptr
    - LP: #330814

  [ Ike Panhc ]

  * Copy header files for various kernel media driver
    - LP: #322732

  [ Tim Gardner ]

  * Revert "Fix the VFP handling on the Feroceon CPU"
    Only applied to mv78xx0 ARM flavour.
  * Enabled drivers/staging/at76_usb
    - LP: #152626

  [ ubuntu@tjworld.net ]

  * SAUCE: ipw2200: Enable LED by default
    - LP: #21367
  * SAUCE: wistron_btns: support Prestigio Wifi RF kill button over suspend
    - LP: #346586

  [ Upstream Kernel Changes ]

  * Build fix for __early_pfn_to_nid() undefined link error
  * Fix misreporting of #cores as #hyperthreads for Q9550
  * eventfd: remove fput() call from possible IRQ context
  * S390: __div64_31 broken for CONFIG_MARCH_G5
  * ALSA: Fix vunmap and free order in snd_free_sgbuf_pages()
  * ALSA: mixart, fix lock imbalance
  * ALSA: pcm_oss, fix locking typo
  * ALSA: hda - Fix DMA mask for ATI controllers
  * ALSA: hda - Workaround for buggy DMA position on ATI controllers
  * ALSA: opl3sa2 - Fix NULL dereference when suspending snd_opl3sa2
  * nfsd: nfsd should drop CAP_MKNOD for non-root
  * NFSD: provide encode routine for OP_OPENATTR
  * dm ioctl: validate name length when renaming
  * dm io: respect BIO_MAX_PAGES limit
  * dm crypt: fix kcryptd_async_done parameter
  * dm crypt: wait for endio to complete before destruction
  * ata_piix: add workaround for Samsung DB-P70
  * V4L/DVB (10218): cx23885: Fix Oops for mixed install of analog and
    digital only cards
  * thinkpad-acpi: fix module autoloading for older models
  * Add '-fwrapv' to gcc CFLAGS
  * Move cc-option to below arch-specific setup
  * USB: storage: Unusual USB device Prolific 2507 variation added
  * USB: Add Vendor/Product ID for new CDMA U727 to option driver
  * USB: option.c: add ZTE 622 modem device
  * USB: Add device id for Option GTM380 to option driver

