=== debian/control ===
Source: linux-rt
Section: devel
Priority: optional
Maintainer: Alessio Igor Bogani <abogani@ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [!armel], quilt, linux-source-2.6.28 (= 2.6.28-11.42)
Build-Depends-Indep: xmlto, docbook-utils, gs, transfig, bzip2, sharutils

Package: linux-rt-headers-2.6.28-3
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-rt-headers, linux-rt-headers-2.6
Description: Header files related to Linux kernel version 2.6.28
 This package provides kernel header files for version 2.6.28, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-headers-2.6.28-3/debian.README.gz for details

Package: linux-image-2.6.28-3-rt
Architecture: i386 amd64
Section: base
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-2.6, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, ndiswrapper-modules-1.9
Depends: initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3)
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: grub | lilo (>= 19.1)
Suggests: fdutils, linux-doc-2.6.28 | linux-source-2.6.28
Description: Linux kernel image for version 2.6.28 on Ingo Molnar's full real time preemption patch (2.6.28-rt)
 This package contains the Linux kernel image for version 2.6.28 on
 Ingo Molnar's full real time preemption patch (2.6.28-rt).
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward real time systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-rt meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.28-3-rt
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-rt-headers-2.6.28-3, ${shlibs:Depends}
Provides: linux-headers, linux-headers-2.6
Description: Linux kernel headers for version 2.6.28 on Ingo Molnar's full real time preemption patch (2.6.28-rt)
 This package provides kernel header files for version 2.6.28 on
 Ingo Molnar's full real time preemption patch (2.6.28-rt).
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-2.6.28-3/debian.README.gz for details.

Package: linux-image-debug-2.6.28-3-rt
Architecture: i386 amd64
Section: devel
Priority: optional
Provides: linux-debug
Description: Linux kernel debug image for version 2.6.28 on Ingo Molnar's full real time preemption patch (2.6.28-rt)
 This package provides a kernel debug image for version 2.6.28 on
 Ingo Molnar's full real time preemption patch (2.6.28-rt).
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.
